Bug 1625 - [XKB] bad definition of IsModifierKey()
Summary: [XKB] bad definition of IsModifierKey()
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Lib/other (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Daniel Stone
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-10-13 10:24 UTC by Stanislav Brabec
Modified: 2006-04-07 08:49 UTC (History)
5 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Brabec 2004-10-13 10:24:38 UTC
To be IsModifierKey() defined properly in X11/Xutil.h, XK_XKB_KEYS has to be
defined previously. This is done in X11/keysym.h. But this file is not resourced
and compiler gets incorrectly defined macro IsModifierKey(), unless it
explicitly includes X11/keysym.h before X11/Xutil.h.

This causes bad definition of IsModifierKey() in Emacs.

Fix: Add
#include <X11/keysym.h>
to X11/Xutil.h

It causes for example bad function of AltGr in Emacs.
Comment 1 Stefan Dirsch 2004-10-13 11:56:36 UTC
Matthias, Egbert, see 
 
  http://bugzilla.suse.de/show_bug.cgi?id=47192 
 
for more details. 
Comment 3 Erik Andren 2006-04-07 16:29:06 UTC
Looking at the Redhat bugs fixes has gone into Emacs and not to Xorg. 
Which implicates an error in Emacs and not xorg.
Comment 4 Stanislav Brabec 2006-04-07 21:29:47 UTC
On my opinion the "fix" of Emacs (change of include order) is a only a work-around.

The bug is in in X headers (undocumented change of behavior depending on order
of includes).
Comment 5 Daniel Stone 2006-04-08 01:49:59 UTC
fixed in git


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.